ImportOS · Документація
Довідник API

GET /v1/webhooks/{id}/deliveries

Delivery log of a subscription

Delivery log of a subscription

Latest deliveries with status, attempts, HTTP status of your endpoint and the next retry time. Requires scope write:deals.

  • Автентифікація: заголовок Authorization: Bearer rv_live_... (API-ключі та scopes)
  • Потрібний scope: write:deals
Опис операції, параметрів і полів походить зі специфікації OpenAPI (openapi.json) і подається англійською, як у самому API.

Параметри

ПолеДеТипОбов’язк.Опис
idpathstring (uuid)такResource id (UUID).
limitqueryintegerні

Відповіді

200

Deliveries, newest first.

application/json · Схема: WebhookDeliveries

ПолеТипОбов’язк.Опис
itemsobject[]так
items[].idstring (uuid)ні
items[].eventIdstring | nullні
items[].eventTypestringні
items[].statusstringніpending | succeeded | failed | dead (retries exhausted).
items[].attemptintegerні
items[].responseStatusinteger | nullні
items[].durationMsinteger | nullні
items[].errorstring | nullні
items[].nextAttemptAtstring | nullніISO 8601 date-time (UTC).
items[].deliveredAtstring | nullніISO 8601 date-time (UTC).
items[].createdAtstringніISO 8601 date-time (UTC).

400

Invalid request parameters or body (code validation_error).

application/problem+json · Схема: Problem

401

Missing, malformed, unknown, revoked or expired API key (code unauthorized).

application/problem+json · Схема: Problem

403

The API key lacks the scope required by this endpoint (code insufficient_scope).

application/problem+json · Схема: Problem

404

Not found in this tenant.

application/problem+json · Схема: Problem

429

Rate limit exceeded for the tenant plan (code rate_limited). Wait Retry-After seconds.

application/problem+json · Схема: Problem

На цій сторінці